#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Stream
%define		pnam	Buffered
%include	/usr/lib/rpm/macros.perl
Summary:	String::Buffered - temporary buffer to save bytes
Name:		perl-Stream-Buffered
Version:	0.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b030fecaa784cd573289ae797c7aeae9
URL:		http://search.cpan.org/dist/Stream-Buffered/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stream::Buffered is a buffer class to store arbitrary length of byte
strings and then get a seekable filehandle once everything is
buffered. It uses PerlIO and/or temporary file to save the buffer
depending on the length of the size.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%dir %{perl_vendorlib}/%{pdir}/Buffered
%{perl_vendorlib}/%{pdir}/Buffered/*.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Stream-Buffered.git;a=log;h=master

* Thu Nov 22 2018 Adam Gołębiowski <adamg@pld-linux.org> b8c29aa
- updated to 0.03

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> 5bda955
- use generic url

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d8304e
- initial

